### Method

# Ide DebuggerBreakpoints get_line

#### Declaration

    IdeDebuggerBreakpoint*
    ide_debugger_breakpoints_get_line (
      IdeDebuggerBreakpoints* self,
      guint line
    )

#### Description

Gets the breakpoint that has been registered at a given line, or `NULL` if no breakpoint is registered there.

Available since: | 3.32

#### Parameters

`line` | `guint`
| The line number.

#### Return value

Returns: | `IdeDebuggerBreakpoint`
| An `IdeDebuggerBreakpoint` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.